Index Page prsint_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void prsint_c ( ConstSpiceChar  * string,
                       SpiceInt        * intval )

#### Abstract

       Parse a string as an integer, encapsulating error handling.

#### Required_Reading

       None.

#### Keywords

       INTEGER
       PARSING

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       string     I   String representing an integer.
       intval     O   Integer value obtained by parsing string.

#### Detailed_Input

       string         is a string representing an integer.  Any string
                      acceptable to the CSPICE routine nparsi_ is
                      allowed.

#### Detailed_Output

       intval         is the integer obtained by parsing string.

#### Parameters

       None.

#### Exceptions

       1) If the input string pointer is null, the error
          SPICE(NULLPOINTER) will be signaled.

       2) If the input string does not contain at least one character,
          the error SPICE(EMPTYSTRING) will be signaled.

       3) If the input string cannot be parsed, the error
          SPICE(NOTANINTEGER) is signaled.

#### Files

       None.

#### Particulars

       The purpose of this routine is to enable safe parsing of integers
       without the necessity of in-line error checking.  This routine is
       based on the CSPICE routine nparsi_.

#### Examples

       See the routine NPARSI for an examples of allowed strings.

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman       (JPL)

#### Version

       -CSPICE Version 1.1.1, 26-AUG-1999 (NJB)

          Header was updated to list string exceptions.

       -CSPICE Version 1.1.0, 08-FEB-1998 (NJB)

           References to C2F_CreateStr_Sig were removed; code was
           cleaned up accordingly.  String checks are now done using
           the macro CHKFSTR.

       -CSPICE Version 1.0.0, 25-OCT-1997 (NJB)

#### Index_Entries

       parse integer with encapsulated error handling

#### Link to routine prsint_c source file prsint_c.c

    Wed Apr  5 17:54:41 2017